import java.util.ArrayList;

public class WordListDriver
{
  public static void main(String[] args)
  {
    ArrayList words = new ArrayList();

    words.add("cat");
    words.add("mouse");
    words.add("frog");
    words.add("dog");
    words.add("pig");

    WordList wl = new WordList(words);

    wl.printWordList();
    System.out.println("four letter count " + wl.numWordsOfLength(4));
    System.out.println("three letter count " + wl.numWordsOfLength(3));
    System.out.println("two letter count " + wl.numWordsOfLength(2));

    wl.removeWordsOfLength(4);
    System.out.println("Four letter words removed");
    wl.printWordList();

    wl.removeWordsOfLength(3);
    System.out.println("Three letter words removed");
    wl.printWordList();

    wl.removeWordsOfLength(2);
    System.out.println("Two letter words removed");
    wl.printWordList();
  }
}



